Subject: Re: bug#8268: Windows Emacs Console persists while running running emacs.exe.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Feb 2017 12:27:21 +0200

> From: [email-masked]
> Date: Sun, 12 Feb 2017 09:08:00 -0500
> Cc: oCameLo <[email-masked]>, [email-masked]
> 
> Juanma Barranquero <[email-masked]> writes:
> 
> > On Sun, Feb 12, 2017 at 4:43 AM, <[email-masked]> wrote:
> >
> >> Something like this?
> >>
> >> --- i/nt/README.W32
> >> +++ w/nt/README.W32
> >> @@ -94,6 +94,12 @@ See the end of the file for license conditions.
> >> (non-windowed) mode of operation is most useful if you have a telnet
> >> server on your machine, allowing you to run Emacs remotely.
> >>
> >> +* Pinning Emacs to the taskbar (Windows 7 and higher)
> >> +
> >> + After starting Emacs the first time, pin it to the taskbar, then
> >> + edit the properties (via shift-right-click) so that the executable
> >> + path to points to runemacs.exe instead of emacs.exe.
> >> +
> >> * EXE files included
> >>
> >> Emacs comes with the following executable files in the bin directory.
> >
> > Yes, though the emacs-25 branch already has something like that in nt/README.W32
> >
> > + runemacs.exe - A wrapper for running Emacs as a GUI application
> > without popping up a command prompt window. If you create a
> > desktop shortcut for invoking Emacs, make it point to this
> > executable, not to emacs.exe.
> >
> > It's talking about a desktop shortcut and not the taskbar, but it is
> > the same idea. Perhaps change it to "If you create a desktop shortcut
> > for invoking Emacs, or pin Emacs to the taskbar, modify the shortcut
> > so it points to this executable, not to emacs.exe". Or something like
> > that.
> 
> If I understand correctly an important difference is that for the
> shortcut, you can just create a shortcut to runemacs.exe directly.
> Whereas for the taskbar, you have to start emacs first, and only then
> modify the path.  That's a bit unintuitive and seems worth calling out
> in its own paragraph.

I did a merge of the two ideas, and pushed the result to the emacs-25
branch.

Thanks.